<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\OmProdutoOrgElemento as ElementoOrgEntity;
use OrganizationsManagement\Util\Utilities as Utilities;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class OrgElemento {

    public function save($elementProductOrg, $elementId, $currentOrgId, $dateNow, $codOperador, $expirationDate, $idAtivo = 'S', $dsobservacao)
    {
        $element = new ElementoOrgEntity();
        $novoCodigo = NovoCodigo::geraCodigo($currentOrgId, "OmProdutoOrgElemento", 1, 10, false, false);
        $element->setId($novoCodigo ? $novoCodigo : 1);
        $element->setCdoperinclusao($codOperador);
        $element->setCdoperultatu($codOperador);
        $element->setDtinclusao($dateNow);
        $element->setDtultatu($dateNow);
        $element->setIdativo($idAtivo);
        $element->setNrorg($currentOrgId);
        $element->setNrorginclusao($currentOrgId);
        $element->setNrorgultatu($currentOrgId);
        $element->setNrprodutoElementoId($elementId);
        $element->setNrprodutoOrgId($elementProductOrg);
        $element->setDtvalidade($expirationDate);
        $element->setDsobservacao($dsobservacao);

        return $element;
    }
}
