<?php

require '../bootstrap/bootstrap.php';
$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$mongoOptions['typeMap'] = [
    'array'    => 'array',
    'document' => 'array',
    'root'     => 'array',
];
$db = (new \MongoDB\Client("mongodb://mongoteste.teknisa.com:27020", array(), $mongoOptions))->TeknisaLicense;

foreach ($db->listCollections() as $collectionInfo) {
    $collectionName = $collectionInfo['name'];
    if(strpos($collectionName, 'VariableMeasure_') !== false) {
        $collection   = $db->selectCollection($collectionName);
        $deleteResult = $collection->deleteMany([ 'date' => [ '$gte' => 20200601 ] ]);
        printf("Deleted %d document(s)\n", $deleteResult->getDeletedCount());
        echo "End Collection $collectionName \n";
    }
}