<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Geral\Entities\Parcnegocio as EntidadeParceiroNegocio;

class ParceiroNegocio {
    public function __construct(){}

    public function cria(
        $nrorg, $nrparcnegocio, $nmprincipalparc, $nmsecundariparc, $idativo,
        $nrinscricaoparc, $cdtipoparcprincipal, $cdtipoinscricao, $idpessoafisica,
        $idinstituicao, $idparcfundido,
        $dtinclusao, $dtultatu, $cdoperinclusao, $nrorginclusao
    ){
        $e = new EntidadeParceiroNegocio();

        $e->setNrorg($nrorg);
        $e->setNrparcnegocio($nrparcnegocio);
        $e->setNmprincipalparc($nmprincipalparc);
        $e->setNmsecundariparc($nmsecundariparc);
        $e->setIdativo($idativo);

        $e->setNrinscricaoparc($nrinscricaoparc);
        $e->setCdtipoparcprincipal($cdtipoparcprincipal);
        $e->setCdtipoinscricao($cdtipoinscricao);
        $e->setIdpessoafisica($idpessoafisica);
        $e->setIdinstituicao($idinstituicao);
        $e->setIdparcfundido($idparcfundido);

        $e->setDtinclusao($dtinclusao);
        $e->setDtultatu($dtultatu);
        $e->setCdoperinclusao($cdoperinclusao);
        $e->setCdoperultatu($cdoperinclusao);
        $e->setNrorginclusao($nrorginclusao);
        $e->setNrorgultatu($nrorginclusao);

        return $e;
    }

    public function criaParceiroNegocioCP (
        $nrorg, $nrparcnegocio, $nmprincipalparc, $nmsecundariparc, $dtinclusao,
        $cdoperinclusao, $nrorginclusao, $idativo = 'S', $cdtipoparcprincipal = 'OPERADOR'
    ){
        $e = new EntidadeParceiroNegocio();

        $e->setNrorg($nrorg);
        $e->setNrparcnegocio($nrparcnegocio);
        $e->setNmprincipalparc($nmprincipalparc);
        $e->setNmsecundariparc($nmsecundariparc);
        $e->setIdativo($idativo);

        $e->setCdtipoparcprincipal($cdtipoparcprincipal);

        $e->setDtinclusao($dtinclusao);
        $e->setDtultatu($dtinclusao);
        $e->setCdoperinclusao($cdoperinclusao);
        $e->setCdoperultatu($cdoperinclusao);
        $e->setNrorginclusao($nrorginclusao);
        $e->setNrorgultatu($nrorginclusao);

        return $e;
    }
} 