<?php
namespace OrganizationsManagement\Service;
use \Doctrine\ORM\EntityManager;
use OrganizationsManagement\Util\Utilities;
use Teknisa\Model\Geral\Repositories as GeralRepositories;

class Pais {

    private $entityManager;
    /** @var GeralRepositories\Pais $repositoryPais */
    private $repositoryPais;

    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->repositoryPais = $this->entityManager->getRepository(Utilities::GERAL_ENTITY_DIR . 'Pais');
    }

    public function obtemTodos($filters){
        return $this->repositoryPais->obtemTodosPaises(Utilities::createQueryFiltered($filters));
    }
}